#Avoid installing arch-independent data into arch-dependent directory
%global debug_package %{nil}

Name:           tsung
Version:        1.5.0
Release:        3%{?dist}
Summary:        A distributed multi-protocol load testing tool
License:        GPLv2
URL:            http://tsung.erlang-projects.org/
Source0:        http://tsung.erlang-projects.org/dist/%{name}-%{version}.tar.gz
BuildRequires:  erlang
Requires:       erlang
Requires:       perl(Template)

%description
tsung is a distributed load testing tool. It is protocol-independent and can 
currently be used to stress and benchmark HTTP, Jabber/XMPP, PostgreSQL, 
MySQL and LDAP servers.
It simulates user behaviour using an XML description file, reports many 
measurements in real time (statistics can be customized with transactions, 
and graphics generated using gnuplot).
For HTTP, it supports 1.0 and 1.1, has a proxy mode to record sessions, 
supports GET and POST methods, Cookies, and Basic WWW-authentication. 
It also has support for SSL.

%prep
%setup -q
iconv -f ISO-8859-1 -t UTF-8 CONTRIBUTORS > CONTRIBUTORS.new && \
touch -r CONTRIBUTORS CONTRIBUTORS.new && \
mv CONTRIBUTORS.new CONTRIBUTORS
sed -i 's/\r$//' examples/*

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
# Fix versioned/unversioned docdir
rm -rf %{buildroot}%{_defaultdocdir}

%files
%doc CHANGES CONTRIBUTORS COPYING README TODO
%{_bindir}/%{name}*
%{_bindir}/tsplot
%{_libdir}/erlang/lib/*
%{_libdir}/%{name}/
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}*.1*
%{_mandir}/man1/tsplot.1*

%changelog
* Sun Sep 01 2013 Peter Lemenkov <lemenkov@gmail.com> - 1.5.0-3
- Fix versioned/unversioned docdir

* Fri Aug 02 2013 Christopher Meng <rpm@cicku.me> - 1.5.0-2
- Fix wrong syntaxs of files.

* Sat May 25 2013 Christopher Meng <rpm@cicku.me> - 1.5.0-1
- Initial Package.
